> For the complete documentation index, see [llms.txt](https://docs.hyperswitch.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyperswitch.io/integrations/prism/node/payment-service/incremental-authorization.md).

# Incremental Authorization

## Overview

The `incrementalAuthorization` method increases the authorized amount on an existing authorization that is still in `AUTHORIZED` status. Use this for hospitality, tips, or add-on charges.

**Business Use Case:** A hotel guest adds room service charges to their folio. Increase the authorization hold to cover the additional charges.

## Purpose

| Scenario          | Benefit                            |
| ----------------- | ---------------------------------- |
| Hotel incidentals | Add room service, mini-bar charges |
| Restaurant tips   | Add post-dining tip                |
| Add-on services   | Cover additional costs             |
| Metered services  | Extend hold for actual usage       |

## Request Fields

| Field                     | Type   | Required | Description                               |
| ------------------------- | ------ | -------- | ----------------------------------------- |
| `merchantAuthorizationId` | string | Yes      | Your unique incremental auth ID           |
| `connectorTransactionId`  | string | Yes      | Original authorization ID                 |
| `amount`                  | Money  | Yes      | New total amount (not incremental amount) |
| `reason`                  | string | No       | Reason for increase                       |

## Response Fields

| Field                      | Type                | Description                  |
| -------------------------- | ------------------- | ---------------------------- |
| `connectorAuthorizationId` | string              | Connector's authorization ID |
| `status`                   | AuthorizationStatus | AUTHORIZED, FAILED           |
| `error`                    | ErrorInfo           | Error details if failed      |
| `statusCode`               | number              | HTTP status code             |

## Example

### SDK Setup

```javascript
const { PaymentClient } = require('hyperswitch-prism');

const paymentClient = new PaymentClient({
    connector: 'stripe',
    apiKey: 'YOUR_API_KEY',
    environment: 'SANDBOX'
});
```

### Request

```javascript
const request = {
    merchantAuthorizationId: "incr_auth_001",
    connectorTransactionId: "pi_3Oxxx...",
    amount: {
        minorAmount: 1500,  // New total: $15.00 (was $10.00)
        currency: "USD"
    },
    reason: "Room service charges added"
};

const response = await paymentClient.incrementalAuthorization(request);
```

### Response

```javascript
{
    connectorAuthorizationId: "pi_3Oxxx...",
    status: "AUTHORIZED",
    statusCode: 200
}
```

## Important Notes

* The authorization must have `incrementalAuthorizationAllowed: true`
* Pass the new total amount, not the incremental amount
* Can only increase while in AUTHORIZED status

## Next Steps

* [authorize](/integrations/prism/node/payment-service/authorize.md) - Create initial authorization (set `requestIncrementalAuthorization: true`)
* [capture](/integrations/prism/node/payment-service/capture.md) - Finalize with increased amount


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyperswitch.io/integrations/prism/node/payment-service/incremental-authorization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
